For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
      • Tax Provider
      • Webhooks
          • GETList Webhooks
          • POSTCreate Webhook
          • GETGet Webhook
          • PUTUpdate Webhook
          • DELDelete Webhook
          • GETGet Admin Info
          • PUTUpsert Email Notifications
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsWebhooks

Upsert Email Notifications

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/hooks/admin
PUT
/stores/:store_hash/v3/hooks/admin
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/hooks/admin \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "emails": [
> "user@example.com"
> ]
>}'

Update email addresses that are sent notification emails when any domain associated with the API account is denylisted or when a webhook is deactivated. Supports upsert functionality in the case that no email address exists yet.

Was this page helpful?
Previous

Get Admin Info

Next

Overview

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

None required. Create and manage webhooks with the default scope of an API account.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

List of notification emails.
emailslist of stringsOptional

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error